#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	xfburn
Version		:	0.6.2
Release		:	14.8.0.0%{?dist}
Summary		:	A GTK+ 2 GUI frontend for Libisoburn.

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL
URL		:	http://archive.xfce.org/src/apps/xfburn

Source0		:	%{name}-%{version}.tar.bz2

#-----------------------------------------------------------------------------
BuildRequires	:	gtk2+
BuildRequires	:	libburn
BuildRequires	:	libisofs
BuildRequires	:	thunar
BuildRequires	:	gst-plugins-base

Requires	:	thunar
Requires	:	gtk3+
Requires	:	libburn
Requires	:	libisofs
Requires	:	cdrdao

Requires(post)	:	%{_bindir}/gtk-update-icon-cache
#-----------------------------------------------------------------------------
%description
An easy to use burning software for the xfce desktop environment
(but of course will work with others). It uses libburn and libisofs
as a backend, in difference to most other GUI programs at the moment.


%prep
%setup -q 

#---------------------------------------------------------
#building application
%build

./configure							\
        --prefix=%{_prefix}					\
        --includedir=%{_includedir}				\
        --sysconfdir=%{_sysconfdir}				\
	--exec-prefix=%{_exec_prefix}				\
        --sbindir=%{_sbindir}					\
	--mandir=%{_mandir}					\
	--libdir=%{_libdir}					\
	--datadir=%{_datadir}					\
	--infodir=%{_infodir}					\
	--docdir=%{_defaultdocdir}/%{name}-%{version}		\
	--disable-static					\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}


%clean
%{__rm} -rf %{buildroot}

#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install


%files			
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%{_bindir}/%{name}
%{_datadir}/Thunar/sendto/thunar-sendto-%{name}.desktop
%{_datadir}/icons/hicolor/*/stock/media/stock_%{name}.png
%{_datadir}/icons/hicolor/*/stock/media/stock_%{name}-*.png
%{_datadir}/icons/hicolor/scalable/stock/media/stock_%{name}.svg
%{_datadir}/icons/hicolor/scalable/stock/media/stock_%{name}-*.svg
%{_datadir}/metainfo/org.xfce.%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/locale/*/LC_MESSAGES/%{name}.mo
%{_datadir}/%{name}/%{name}*.ui
%{_mandir}/man1/%{name}.1.gz

%pre

#after upgrade or remove
%preun

#-------------------------------------------------------------------
%post
/usr/sbin/ldconfig
%{_bindir}/gtk-update-icon-cache -t --quiet %{_datadir}/icons/hicolor

#-------------------------------------------------------------------
%postun
/usr/sbin/ldconfig
if [ $1 -eq 0 ] ; then
  %{_bindir}/gtk-update-icon-cache -t --quiet %{_datadir}/icons/hicolor
  fi
#-------------------------------------------------------------------
%changelog
